## NAME

r.category - Manages category values and labels associated with user-specified raster map layers.

## KEYWORDS

raster, category

## SYNOPSIS

r.category
r.category help
r.category map=name [cats=range[,range,...]] [vals=float[,float,...]] [fs=character|space|tab] [raster=name] [rules=name] [format=string] [coefficients=mult1,offset1,mult2,offset2] [--verbose] [--quiet]

### Parameters:

map=name
  Name of input raster map
cats=range[,range,...]
  Category values
  Example: 1,3,7-9,13
vals=float[,float,...]
  Comma separated value list
  Example: 1.4,3.8,13
fs=character|space|tab
  Field separator
  Output field separator
  Default: tab
raster=name
  Raster map from which to copy category table
rules=name
  File containing category label rules (or "-" to read from stdin)
format=string
  Default label or format string for dynamic labeling
  Used when no explicit label exists for the category
coefficients=mult1,offset1,mult2,offset2
  Dynamic label coefficients
  Two pairs of category multiplier and offsets, for $1 and $2

Main index - raster index - Full index

© 2003-2014 GRASS Development Team